//----------------------------------------------------------------------------

//   Technics RS-B965 -  PWM

//----------------------------------------------------------------------------

#include "Main.h"
#include "Pwm.h"

//-------------------------- : ----------------------------------

void Pwm_Init(void)
{
  PLLCSR = (1 << PLLE) | (1 << PCKE); //enable PLL
  OCR1C = MAX_PWM;      //PWM TOP
  OCR1A = MAX_PWM;
  OCR1B = MAX_PWM;
  TCCR1 = (1 << CS10);  //PCK/1
}

//---------------------------  PWM1: ---------------------------------

void Pwm_Set(char n, char v)
{
  if(n == OUT1)
  {
    OCR1A = v;
    if(v == MAX_PWM) TCCR1 = (1 << CS10); //PCK/1
      else TCCR1 = (1 << PWM1A) | (1 << COM1A1) | (1 << CS10); //PWM at OC1A
  }
  if(n == OUT2)
  {
    OCR1B = v;
    if(v == MAX_PWM) GTCCR = 0;
      else GTCCR = (1 << PWM1B) | (1 << COM1B1); //PWM at OC1B
  }
}

//----------------------------------------------------------------------------

